import request from '@/utils/request';

// 查询报销列表
export function listExpense(query) {
  return request({
    url: '/finance/expense/account/list',
    method: 'get',
    params: query
  });
}

// 新增报销
export function addExpense(data) {
  return request({
    url: '/finance/expense/account',
    method: 'post',
    data: data
  });
}

// 修改报销
export function updateExpense(data) {
  return request({
    url: '/finance/expense/account',
    method: 'put',
    data: data
  });
}

// 删除报销
export function removeExpense(data) {
  return request({
    url: '/finance/expense/account/' + data,
    method: 'delete'
  });
}

// 导出报销
export function exportExpense(query) {
  return request({
    url: '/finance/expense/account/export',
    method: 'get',
    params: query
  });
}

// 审核报销
export function checkExpense(data) {
  return request({
    url: '/finance/expense/account/check',
    method: 'put',
    data: data
  });
}
